Page MenuHomePhabricator

Move jquery.arrowSteps to UploadWizard and remove unnecessary code
Closed, ResolvedPublic

Description

The 'jquery.arrowSteps' ResourceLoader module is only used by UploadWizard and was originally developed in tandem with UploadWizard, then moved to core for no good reason (r108960). Nothing else uses it; we should move it back. And once we do, we should remove all the functionality that UW does not use, and all the styles it overrides (which is probably most of the module).

Details

Related Gerrit Patches:
mediawiki/core : masterDeprecate jquery.arrowSteps module
mediawiki/core : wmf/1.28.0-wmf.19Revert "Remove jquery.arrowSteps module"
mediawiki/core : masterRevert "Remove jquery.arrowSteps module"
mediawiki/core : masterRemove jquery.arrowSteps module
mediawiki/extensions/UploadWizard : masterAdd jquery.arrowSteps from mw core

Event Timeline

matmarex created this task.Sep 7 2016, 5:40 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptSep 7 2016, 5:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 11 2016, 5:16 PM

Change 309852 had a related patch set uploaded (by Paladox):
Add jquery.arrowSteps from mw core

https://gerrit.wikimedia.org/r/309852

Change 309854 had a related patch set uploaded (by Paladox):
Remove jquery.arrowSteps module

https://gerrit.wikimedia.org/r/309854

Change 309852 merged by jenkins-bot:
Add jquery.arrowSteps from mw core

https://gerrit.wikimedia.org/r/309852

Change 309854 merged by jenkins-bot:
Remove jquery.arrowSteps module

https://gerrit.wikimedia.org/r/309854

matmarex closed this task as Resolved.Sep 13 2016, 3:41 PM
matmarex assigned this task to Paladox.
matmarex removed a project: Patch-For-Review.

Thanks!

I use this module in a user script (https://de.wikipedia.org/wiki/Benutzer:Schnark/js/bandersnatch.js). Is it really necessary to remove it without a deprecation period?

Also used on Commons (https://commons.wikimedia.org/wiki/MediaWiki:WatchlistMessageCreator.js). Well, they could use it under the new name, but "nothing else uses it" is definitely wrong.

Ugh… why would you use this crappy module… D:

I suppose we should revert the removal then. Thank you for noticing this.

Well, I used it because it was there, not because it was sensible to use. I'll probably update my script today to remove the usage of jquery.arrowSteps completely, so if you think those two instances of usage I found were the only ones feel free just to keep the module removed.
But the deprecated key in a module definition is there for a purpose, and should be used as such in future deprecations before any removal.

Change 310858 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "Remove jquery.arrowSteps module"

https://gerrit.wikimedia.org/r/310858

Change 310860 had a related patch set uploaded (by Bartosz Dziewoński):
Deprecate jquery.arrowSteps module

https://gerrit.wikimedia.org/r/310860

Change 310858 merged by jenkins-bot:
Revert "Remove jquery.arrowSteps module"

https://gerrit.wikimedia.org/r/310858

Change 310872 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "Remove jquery.arrowSteps module"

https://gerrit.wikimedia.org/r/310872

Change 310872 merged by jenkins-bot:
Revert "Remove jquery.arrowSteps module"

https://gerrit.wikimedia.org/r/310872

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2016-09-15T18:36:58Z] <thcipriani@tin> Started scap: SWAT: [[gerrit:310851|Add missing close button title message (T145774)]] and [[gerrit:310872|Revert "Remove jquery.arrowSteps module" (T144974)]]

Mentioned in SAL (#wikimedia-operations) [2016-09-15T19:05:06Z] <thcipriani@tin> Finished scap: SWAT: [[gerrit:310851|Add missing close button title message (T145774)]] and [[gerrit:310872|Revert "Remove jquery.arrowSteps module" (T144974)]] (duration: 28m 08s)

jquery.arrowSteps is now back and will be deprecated when https://gerrit.wikimedia.org/r/310860 is merged.

Change 310860 merged by jenkins-bot:
Deprecate jquery.arrowSteps module

https://gerrit.wikimedia.org/r/310860

Perhelion added a subscriber: Perhelion.EditedOct 8 2017, 2:10 PM

Is there a hint for replacement? The gadget on https://commons.wikimedia.org/wiki/Help:Watchlist_messages is not working anymore. That all seems are steps backward. Than I copy all the module also in to the script.

PS: The gadget works now again, I used the module copy of the UW.